<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ManageModuleLink extends Model
{
    use HasFactory;
    protected $table ='manage_module_links';

    protected $fillable =[
        'principal_xid',
        'manage_modules_xid'
    ];
    public function iamprinciple()
    {
        return $this->belongsTo(IamPrincipal::class);
    }

    public function module()
    {
        return $this->belongsTo(ManageModule::class);
    }
}
